<?xml version="1.0"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>com.ab-inbev.adv</groupId>
    <artifactId>bw-parent</artifactId>
    <version>0.0.1-SNAPSHOT</version>
  </parent>
  <artifactId>bw-module-wechat</artifactId>
  <name>bw-module-wechat</name>
  
  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>
  <dependencies>
  	<dependency>
		<groupId>com.ab-inbev.adv</groupId>
		<artifactId>bw-core</artifactId>
		<version>${bw.version}</version>
		<!-- <classifier>pg</classifier> -->
	</dependency>
	
	<dependency>
		<groupId>com.ab-inbev.adv</groupId>
		<artifactId>bw-data</artifactId>
		<version>${bw.version}</version>
	</dependency>
	
	<dependency>
		<groupId>com.ab-inbev.adv</groupId>
		<artifactId>bw-module-common</artifactId>
		<version>${bw.version}</version>
	</dependency>
  	
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <scope>test</scope>
    </dependency>
    
    <dependency>
		<groupId>javax.servlet</groupId>
		<artifactId>javax.servlet-api</artifactId>
		<!-- 运行和编译阶段使用，运行阶段因为tomcaty已经有jar -->
		<scope>provided</scope>
	</dependency>
	<!-- cxf -->
  	<dependency>
		<groupId>org.apache.cxf</groupId>
		<artifactId>cxf-rt-frontend-jaxrs</artifactId>
	</dependency>
	<!-- log日志 -->
	<dependency>
		<groupId>org.slf4j</groupId>
		<artifactId>slf4j-api</artifactId>
	</dependency>
	
	<!-- http -->
	<dependency>
		<groupId>com.ning</groupId>
		<artifactId>async-http-client</artifactId>
		<version>1.8.13</version>
	</dependency>
	<dependency>
		<groupId>commons-lang</groupId>
		<artifactId>commons-lang</artifactId>
	</dependency>
  </dependencies>
</project>
